Bug 80498 - VIEWING: Bad performance when viewing or editing file with SVG background
Summary: VIEWING: Bad performance when viewing or editing file with SVG background
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.4.0 target:4.2.6 target:...
Keywords: perf, regression
Depends on:
Blocks:
 
Reported: 2014-06-24 20:22 UTC by Leonard Lausen
Modified: 2019-03-28 13:07 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Document causing the bad performance (252.60 KB, application/vnd.oasis.opendocument.text-template)
2014-06-24 20:22 UTC, Leonard Lausen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leonard Lausen 2014-06-24 20:22:21 UTC
Created attachment 101694 [details]
Document causing the bad performance

Problem description: It's almost impossible to edit the attached file, as LibreOffice becomes too slow. Works fine with MS Office. You can find more of these documents at http://www.zeus.aegee.org/portal/wp-content/uploads/Visual_Identity/Templates/Word%20Letter%20Head.zip

Steps to reproduce:
1. Open file
2. Try to navigate or enter something
3. Give up

Current behavior: Bad performance

Expected behavior: Good performance

              
Operating System: All
Version: 4.3.0.1 rc
Comment 1 Yousuf Philips (jay) (retired) 2014-06-25 04:47:05 UTC
Confirmed in Linux Mint on 4.2.5 and 4.3.0. It works fine in 3.6.7, but crashes in 4.0.6 and 4.1.6.
Comment 2 Michael Stahl (CIB) 2014-06-30 20:32:01 UTC
backporting commit 29c3bb0968cb9770f7b822f5cf466314be9db825
"Handle vnd.sun.star.Package: URLs provoking MalrformedUriException"
to LO 4.1.6.2 avoids the crash, and editing is fast - so
probably regression in 4.2.

commit c9cdc1252374a04f866c0715cb582cc08935d92d looks suspicious
but reverting it on 4.2 doesn't make things fast...

oh it's actually bibisectable!

58dfc97ca697875c36b7ddf14f5505a93d7b9cf8..c1503da35d8879366da13258837cf0084a53680

slowness introduced by:

commit 3cf3700b7a903e88f5296076c40ae854bce91cdc
Author:     Jan Holesovsky <kendy@collabora.com>
AuthorDate: Mon Jan 27 20:11:26 2014 +0100

    fdo#74124: Scale the pictures before calling ImplDrawAlpha().


(what may be important here is the bugdoc's SVG references an embedded JPEG bitmap)
Comment 3 Commit Notification 2014-07-10 16:11:38 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee36fc7add892690c95a969530ecdcfc1bc9decc

fdo#80498: vcl: Revert "fdo#74124: Scale the pictures before calling ...



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Meeks 2014-07-10 16:36:52 UTC
I guess the root of the problem that 74124's tries to fix is in some drawinglayer re-work or other from that other place ...
Comment 5 Commit Notification 2014-07-15 19:00:28 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c269727b470c03f0ea538cad7e1331fd569a579&h=libreoffice-4-2

fdo#80498: vcl: Revert "fdo#74124: Scale the pictures before calling ...


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-07-15 19:00:42 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=12a49fb66a8d3380b9a57ec1c252c2981f1724b1&h=libreoffice-4-3

fdo#80498: vcl: Revert "fdo#74124: Scale the pictures before calling ...


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-07-23 08:03:13 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7249420f98baa1cd839354fc07923595d0188841&h=libreoffice-4-2-6

fdo#80498: vcl: Revert "fdo#74124: Scale the pictures before calling ...


It will be available already in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Michael Stahl (CIB) 2014-08-07 21:22:09 UTC
for now this is fixed
Comment 9 Robinson Tryon (qubit) 2015-12-15 11:17:34 UTC
Migrating Whiteboard tags to Keywords: (perf)
[NinjaEdit]